Bug 14214 - src/main/par.c
src/main/par.c
Status: CLOSED FIXED
Product: R
Classification: Unclassified
Component: Low-level
old
All All
: P5 normal
Assigned To: Jitterbug compatibility account
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-15 22:56 UTC by Jitterbug compatibility account
Modified: 2010-02-16 01:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jitterbug compatibility account 2010-02-15 22:56:40 UTC
From: Andrew Runnalls <A.R.Runnalls@kent.ac.uk>
At lines 1154-5 in par.c (at the latest svn revision 47460), in function
do_par():

    if (new_spec && GRecording(call, dd))
	GErecordGraphicOperation(op, originalArgs, dd);

if the call GErecordGraphicOperation gives rise to a garbage collection
(as it may), the return value of do_par will be trashed.

(Discovered during CXXR development.)

Andrew

Comment 1 Jitterbug compatibility account 2010-02-16 01:02:21 UTC
From: Peter Dalgaard <p.dalgaard@biostat.ku.dk>
A.R.Runnalls@kent.ac.uk wrote:
> At lines 1154-5 in par.c (at the latest svn revision 47460), in function
> do_par():
> 
>     if (new_spec && GRecording(call, dd))
> 	GErecordGraphicOperation(op, originalArgs, dd);
> 
> if the call GErecordGraphicOperation gives rise to a garbage collection
> (as it may), the return value of do_par will be trashed.
> 
> (Discovered during CXXR development.)

Thanks. Committed to r-devel r51142.


-- 
    O__  ---- Peter Dalgaard             Øster Farimagsgade 5, Entr.B
   c/ /'_ --- Dept. of Biostatistics     PO Box 2099, 1014 Cph. K
  (*) \(*) -- University of Copenhagen   Denmark      Ph:  (+45) 35327918
~~~~~~~~~~ - (p.dalgaard@biostat.ku.dk)              FAX: (+45) 35327907

Comment 2 Jitterbug compatibility account 2010-02-25 17:08:00 UTC
NOTES:
 Changed for 2.11.0
Comment 3 Jitterbug compatibility account 2010-02-25 17:08:52 UTC
Audit (from Jitterbug):
Thu Feb 25 11:08:52 2010	ripley	changed notes
Thu Feb 25 11:08:52 2010	ripley	moved from incoming to Low-level-fixed